@import "../global/var";
@import "../global/var-pages";

.p-tests-run-details {
    md-card {
        margin: 0;
    }
    &__sticky-header {
        position: sticky;
        top: $header_height;
        z-index: 4;
        box-shadow: 0 4px 8px 0 rgba(4, 0, 0, 0.2);
        margin-right: -#{$page-padding-right-left};
        margin-left: -#{$page-padding-right-left};
        @media (max-width: $md-screen-phone) {
            box-shadow: none;
            margin-bottom: 2px;
        }
        @media (max-width: $screen-xs) {
            top: $header-height;
        }
        .test-run-group-row {
            .sort-new.test-run-group-column {
                @media(max-width: $md-screen-phone) {
                    padding: 0 10px !important;
                }
                .test-run-group {
                    display: flex;
                    align-items: center;
                    &_wrapper {
                        display: flex;
                        align-items: center;
                        &._left {
                            flex-grow: 1;
                            margin-right: 16px;
                            .test-details {
                                &__select {
                                    max-width: 120px;
                                }
                                &__search {
                                    max-width: 370px;
                                }
                            }
                            md-input-container {
                                margin: 0;
                            }
                            md-input-container + md-input-container {
                                margin-left: 16px;
                            }
                            @media(max-width: $screen-md-max) {
                                margin-right: 0;
                            }
                            @media(max-width: $md-screen-phone) {
                                overflow-x: scroll;
                                display: none;
                            }
                        }
                        &._right {
                            justify-content: flex-end;
                            @media (max-width: 956px) {
                                flex-grow: 1;
                            }
                        }
                        @media (max-width: 956px) {
                            margin: 10px 0;
                        }
                    }
                    @media (max-width: 956px) {
                        flex-wrap: wrap;
                    }
                    &_controls-buttons {
                        margin-right: 40px;
                        flex: 1 1 auto;
                        @media (max-width: 998px) {
                            margin-right: 10px;
                        }
                        @media(max-width: $md-screen-phone) {
                            display: none;
                        }

                        button {
                            border-radius: 0;
                            &:first-child {
                                border-radius: 4px 0 0 4px;
                            }
                            &:last-child {
                                border-radius: 0 4px 4px 0;
                            }
                        }
                    }
                    &_sorts {
                        max-height: 28px;
                        border-radius: 14px;
                        letter-spacing: 0.2px;
                        text-align: center;
                        color: $dark-coal-light-new;
                        background-color: $dark-coal-light-new-op01;
                        padding: 3px 15px;
                        min-width: 90px;
                        margin-left: 17px;
                        line-height: 18px;
                        font-size: 14px;
                        font-weight: 400;

                        &.md-focused,
                        &.active {
                            background-color: $dark-coal-light-new;
                            color: $white;
                        }
                        &:hover {
                            background-color: rgba($black, .35);
                        }
                        & .pointer {
                            display: flex;
                            justify-content: space-around;

                            & .icon {
                                font-size: 16px;
                                line-height: 18px;
                                display: inline-block;
                            }
                        }

                        @media(max-width: $md-screen-phone) {
                            padding: 3px 0;
                            min-width: auto;
                            & .pointer {
                                padding-right: 0;
                                & span {
                                    display: none;
                                }
                            }
                        }
                    }
                    &_group-items {
                        min-width: auto;
                        width: auto;
                    }
                    &_labels {
                        min-width: 260px;
                        width: auto;
                        @media(max-width: $md-screen-phone) {
                            display: flex;
                            max-width: calc(100vw - 20px);
                        }
                        md-chips {
                            md-chips-wrap.md-chips {
                                @media(max-width: $md-screen-phone) {
                                    display: flex;
                                }
                                md-chip {
                                    @extend %detailsItems;
                                    background-color: $dark-coal-light-new-op01 !important;
                                    line-height: 24px;
                                    margin-top: 5px;
                                    margin-bottom: 5px;
                                }
                            }
                        }
                        button {
                            top: 0;
                        }
                    }
                    &_other-buttons {
                        margin-left: 40px;
                        @media (max-width: $breakpoint-tablet-s) {
                            margin-left: 10px;
                        }
                    }
                }
            }
        }
    }
    .content-container {
        overflow: visible !important;
    }
    .test-run-group-row {
        &.groups {
            height: 40px;
            display: flex;
            align-items: center;
            th {
                &._checkbox {
                    padding: 0 !important;
                    width: 50px;

                    md-checkbox {
                        width: 40px;
                        height: 40px;
                    }
                }
                &._group-name {
                    flex: 1 1 auto;
                }
            }
        }

    }
    md-table-pagination {
        border: 0;
        padding: 0 15px;
        font-size: 14px;
        font-weight: normal;
        .limit-select {
            margin-right: 0;
            margin-left: auto;
            order: 2;
            flex-direction: row-reverse;
            padding-right: 5px;
            .label {
                padding-right: 0;
            }
        }
        .md-table-select {
            min-width: 45px;
        }
        .buttons {
            margin-left: 0;
        }
        > .buttons:not(:first-child)  {
            margin-left: 0;
            margin-right: 32px;
        }
    }
    .test-settings__menu-content,
    .test-settings__submenu-content,
    .test-settings__descmenu-content {
        @media (min-width: $breakpoint-mobile) {
            .overview {
                display: none;
            }
        }
        md-menu-item, md-menu {
            display: flex;
            align-items: center;
            padding: 0;
            .md-button {
                min-width: 40px;
                width: 100%;
                display: flex;
                text-transform: none;
                font-weight: 400;
                .point-icon {
                    font-size: 14px;
                    min-height: 14px;
                    max-height: 14px;
                    min-width: 14px;
                    max-width: 14px;
                    margin-left: 5px;
                    margin-right: 20px;
                    &._red {
                        color: $red-new;
                    }
                    &._green {
                        color: $green-new;
                    }
                }
                .assignment {
                    transform: scale(-1, 1);
                }
                .point-icon {
                    font-size: 14px;
                    min-height: 14px;
                    max-height: 14px;
                    min-width: 14px;
                    max-width: 14px;
                    margin-left: 5px;
                    margin-right: 20px;
                    &._red {
                        color: $red-new;
                    }
                    &._green {
                        color: $green-new;
                    }
                }
                .assignment {
                    transform: scale(-1, 1);
                }
            }
        }
    }
    @media (max-width: $md-screen-phone) {
        .page {
            padding-bottom: 70px; // empty area for the "help" button
            md-card {
                box-shadow: none;
            }
        }
        .article.ui-section,
        &__sticky-header {
            margin-right: -#{$page-padding-right-left-mobile};
            margin-left: -#{$page-padding-right-left-mobile};
        }
    }

    .test-details {
        &__labels-controllers {
            margin: 24px 0 8px;
            & .test-label {
                &__item {
                    &.button {
                        background-color: $white;

                        &._disabled {
                            background-color: $gray3e5;
                            color: $gray8be;
                            box-shadow: 0 0 0 1px $gray3e5;
                            cursor: default;

                            & .test-label {
                                &__button-icon {
                                    fill: $gray8be;
                                    color: $gray8be;
                                }
                            }
                        }
                        &:not(:last-child) {
                            margin-right: 8px;
                        }
                    }
                }
                &__button-icon {
                    fill: $gray57c;
                    color: $gray57c;
                    font-size: 16px;
                    line-height: 16px;
                    height: 18px;
                    width: 16px;
                    min-height: 18px;
                    min-width: 16px;
                }
            }
        }
        &__header {
            &-actions {
                padding: 12px 20px;
                border-top: 1px solid $main_container_bg;
                background-color: $white;

                &-wrapper{
                    position: relative;
                }
                &._bulk {
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    z-index: 2;
                    > .md-button.md-icon-button {
                        margin: 0 9px;
                    }
                }
                &-btns {
                    .md-button {
                        display: flex;
                        align-items: center;
                        height: 24px;
                        min-height: 24px;
                        font-size: 0;
                        line-height: 1;
                        padding: 3px 8px 3px 26px;
                        color: $dark-coal-light-new;
                        border-radius: 12px;
                        border: 1px solid $gray8be;
                        background-color: $white;
                        transition: color .25s ease-in-out, background-color .25s ease-in-out, border-color .25s ease-in-out;
                        position: relative;
                        margin-right: 12px;
                        min-width: 130px;

                        .btn-icon {
                            position: absolute;
                            top: 50%;
                            left: 2px;
                            transform: translateY(-50%);
                            display: block;
                            width: 18px;
                            height: 18px;
                            border-radius: 50%;
                            background-color: $gray8be;
                            border: 1px solid $gray8be;
                            transition: all .25s ease-in-out;
                            &::before {
                                content:'';
                                display: block;
                                position: absolute;
                                border: 2px solid $white;
                                border-top: 0;
                                border-right: 0;
                                height: 6px;
                                width: 11px;
                                transform: translate(-50%, -50%) rotate(-45deg);
                                left: 7px;
                                top: 7px;
                                opacity: 0;
                                transition: opacity .25s ease-in-out;
                            }
                        }
                        md-icon {
                            position: absolute;
                            top: 50%;
                            left: 4px;
                            transform: translateY(-50%);
                            width: 16px;
                            height: 16px;
                            min-width: 16px;
                            min-height: 16px;
                            font-size: 16px;
                        }
                        .btn-txt {
                            font-size: 14px;
                            line-height: 1;
                            font-weight: 400;
                            text-transform: none;
                        }
                        &._green-icon {
                            .btn-icon {
                                background-color: $green-new;
                                border-color: $green-new;
                            }
                        }
                        &._red-icon {
                            .btn-icon {
                                background-color: $red-new;
                                border-color: $red-new;
                            }
                        }

                        &._completed {
                            color: $white;
                            .btn-icon {
                                background-color: transparent;
                                border-color: transparent;
                                &::before {
                                    opacity: 1;
                                }
                            }
                            &._green-icon {
                                background-color: $green-new;
                                border-color: $green-new;
                            }
                            &._red-icon {
                                background-color: $red-new;
                                border-color: $red-new;
                            }
                        }

                        &:hover,
                        &:active,
                        &.md-focused,
                        &:focus {
                            &:not(._completed):not([disabled]) {
                                color: darken($dark-coal-light-new, 15%);
                                border-color: darken($gray8be, 15%);
                                background-color: $gray3e5;
                                &._green-icon {
                                    .btn-icon{
                                        background-color: darken($green-new, 15%);
                                        border-color: darken($green-new, 15%);
                                    }
                                }
                                &._red-icon {
                                    .btn-icon {
                                        background-color: darken($red-new, 15%);
                                        border-color: darken($red-new, 15%);
                                    }
                                }
                            }
                        }

                        &:disabled {
                            opacity: 0.5;
                        }
                    }
                }
            }
        }
        &__group {
            &-header {
                display: flex;
                justify-content: stretch;
                align-items: center;
                color: $gray57c;
            }
            &-collapse-icon {
                height: 24px;
                width: 24px;
                font-size: 24px;
                line-height: 24px;
                margin-right: 8px;
                position: relative;
                vertical-align: middle;
                transition: transform 0.2s linear;
                &.checked {
                    transform: rotate(-180deg);
                }
            }
            &-count,
            &-name {
                color: $gray57c;
                font-weight: 700;
                font-size: 14px;
                line-height: 24px;
            }
            &-name {
                flex: 1 1 auto;
                margin-right: auto;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
            &-count {
                flex: 0 0 auto;
                margin-left: 1em;
                margin-right: 0;
            }
        }
        &__test {
            &-selection {
                display: flex;
                width: 100%;
                justify-content: center;
                &._all {
                    width: 56px;
                    &._bulk {
                        width: auto;
                        flex: 0 0 auto;
                        margin-right: 16px;
                        .md-label {
                            color: $gray8be;
                            margin: 0 5px;
                            font-weight: 500;
                            font-size: 12px;
                            line-height: 16px;
                        }
                        md-checkbox {
                            width: auto;
                            display: flex;
                            align-items: center;
                        }
                        .md-container {
                            position: relative;
                            top: auto;
                            left: auto;
                            bottom: auto;
                            right: auto;
                            transform: none;
                            margin-left: 18px;
                        }
                    }
                }
                md-checkbox {
                    margin: 0 auto;
                    width: 40px;
                    height: 40px;
                    position: relative;
                    z-index: 2;
                    .md-container {
                        left: 50%;
                        transform: translate3d(-50%, -50%, 0);
                        backface-visibility: hidden;
                    }
                }
            }
            &-header {
                &-selection {
                    display: none;
                }
            }
        }
        &__status-filter {
            display: flex;
            flex-wrap: wrap;
        }

        @media (max-width: 959px) {
            &__test {
                &-selection {
                    &._all {
                        width: 55px;
                    }
                }

            }
        }

        @media (max-width: $md-screen-phone) {
            &__test {
                &-header {
                    display: flex;
                    align-items: flex-start;
                    &-selection {
                        display: flex;
                        flex: none;
                        width: auto;
                        font-size: 14px;
                        padding: 0;
                        margin-top: -9px;
                        margin-left: -11px;
                    }
                }
            }
        }
    }
    md-fab-actions .fa-times-circle {
        color: $red-new;
    }
    md-fab-actions .fa-check-circle {
        color: $green-new;
    }

    .status-button {
        &,
        &:not([disabled]).md-focused  {
            display: flex;
            align-items: center;
            height: 24px;
            min-height: 24px;
            font-size: 0;
            line-height: 1;
            padding: 3px 8px 3px 26px;
            color: $dark-coal-light-new;
            border-radius: 12px;
            border: 1px solid $gray8be;
            background-color: $white;
            transition: color .25s ease-in-out, background-color .25s ease-in-out, border-color .25s ease-in-out;
            position: relative;
            margin-right: 12px;
            min-width: 80px;
        }

        &__icon {
            position: absolute;
            top: 50%;
            left: 2px;
            transform: translateY(-50%);
            display: block;
            width: 18px;
            height: 18px;
            border-radius: 50%;
            background-color: $gray8be;
            border: 1px solid $gray8be;
            transition: all .25s ease-in-out;
            &::before,
            &::after {
                position: absolute;
                left: 7px;
                top: 2px;
                content: '';
                height: 12px;
                width: 2px;
                background-color: $white;
                opacity: 0;
            }
            &::before {
                transform: rotate(45deg);
            }
            &::after {
                transform: rotate(-45deg);
            }
        }
        &__txt {
            font-size: 14px;
            line-height: 1;
            text-transform: none;
            font-weight: 400;
        }

        &.failed {
            .status-button__icon {
                background-color: $brand-danger-new;
                border-color: $brand-danger-new;
            }
        }
        &.skipped {
            .status-button__icon {
                background-color: $yellow-new;
                border-color: $yellow-new;
            }
        }
        &.passed {
            .status-button__icon {
                background-color: $green-new;
                border-color: $green-new;
            }
        }
        &.aborted {
            .status-button__icon {
                background-color: $gray8be;
                border-color: $gray8be;
            }
        }
        &.in-progress {
            .status-button__icon {
                background-color: $blue-light;
                border-color: $blue-light;
            }
        }

        &:hover,
        &:active,
        &.md-focused,
        &:focus {
            &:not(._active),
            &:not([disabled]):not(._active) {
                color: darken($dark-coal-light-new, 15%);
                border-color: darken($gray8be, 15%);
                &.failed {
                    .status-button__icon {
                        background-color: darken($brand-danger-new, 15%);
                        border-color: darken($brand-danger-new, 15%);
                    }
                }
                &.skipped {
                    .status-button__icon {
                        background-color: darken($yellow-new, 15%);
                        border-color: darken($yellow-new, 15%);
                    }
                }
                &.passed {
                    .status-button__icon {
                        background-color: darken($green-new, 15%);
                        border-color: darken($green-new, 15%);
                    }
                }
                &.aborted {
                    .status-button__icon {
                        background-color: darken($gray8be, 15%);
                        border-color: darken($gray8be, 15%);
                    }
                }
                &.in-progress {
                    .status-button__icon {
                        background-color: darken($blue-light, 15%);
                        border-color: darken($blue-light, 15%);
                    }
                }
            }
        }

        &._active  {
            &,
            &:not([disabled]).md-focused {
                color: $white;

                .status-button__icon {
                    background-color: transparent;
                    border-color: transparent;
                    &::before,
                    &::after {
                        opacity: 1;
                    }
                }

                &.failed {
                    background-color: $brand-danger-new;
                    border-color: $brand-danger-new;
                }
                &.skipped {
                    background-color: $yellow-new;
                    border-color: $yellow-new;
                }
                &.passed {
                    background-color: $green-new;
                    border-color: $green-new;
                }
                &.aborted {
                    background-color: $gray8be;
                    border-color: $gray8be;
                }
                &.in-progress {
                    background-color: $blue-light;
                    border-color: $blue-light;
                }
            }
        }
    }
}

.test-details {
    &__table {
        &-row {
            display: flex;
            background-color: $main_container_bg-new;
            &._groups {
                align-items: center;
            }
        }
        &-col {
            flex: 1 1 100%;
            max-width: 100%;
            &._checkbox {
                flex: 0 0 56px;
            }
            &._group-name {
                padding-right: 24px;
            }
            ._empty & {
                padding: 20px;
                text-align: center;
            }
        }
    }
}

.select-menu__content {
    max-height: none;
    button span {
        text-transform: capitalize;
    }
}

%detailsItems {
    max-height: 28px;
    border-radius: 14px;
    letter-spacing: 0.2px;
    text-align: center;
    font-size: 11px;
    font-weight: 500;
    color: $dark-coal-light-new;

    &.md-focused,
    &.active {
        background-color: $dark-coal-light-new;
        color: $white;
    }
}

%noBorderPadding {
    @media(max-width: $md-screen-phone) {
        border-top: 0 !important;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }
}
